import os
os.chdir(r'C:\Users\Aki\source\repos\acoustic_model\acoustic_model')

import sys
import csv
#import subprocess
#from collections import Counter
#import re

import numpy as np
import pandas as pd
#import matplotlib.pyplot as plt
#from sklearn.metrics import confusion_matrix

import acoustic_model_functions as am_func
import convert_xsampa2ipa
import defaultfiles as default

from forced_alignment import pyhtk

import novoapi 

## ======================= convert phones ======================
mapping = convert_xsampa2ipa.load_converter('xsampa', 'ipa', default.ipa_xsampa_converter_dir)

stimmen_transcription_ = pd.ExcelFile(default.stimmen_transcription_xlsx)


## novo phoneset
translation_key = dict()

#phonelist_novo70_      = pd.ExcelFile(default.phonelist_novo70_xlsx)
#df = pd.read_excel(phonelist_novo70_, 'list')
## *_simple includes columns which has only one phone in.
#for ipa, novo70 in zip(df['IPA_simple'], df['novo70_simple']):
#    if not pd.isnull(ipa):
#        print('{0}:{1}'.format(ipa, novo70))
#        translation_key[ipa] = novo70
#phonelist_novo70 = np.unique(list(df['novo70_simple']))

phoneset_ipa = []
phoneset_novo70 = []
with open(default.cmu69_phoneset, "rt", encoding="utf-8") as fin:
	lines = fin.read()
	lines = lines.split('\n')
	for line in lines:
		words = line.split('\t')
		if len(words) > 1:
			novo70 = words[0]
			ipa	   = words[1]
			phoneset_ipa.append(ipa)
			phoneset_novo70.append(novo70)
			translation_key[ipa] = novo70
phoneset_ipa    = np.unique(phoneset_ipa)
phoneset_novo70 = np.unique(phoneset_novo70)

